summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-01-05 10:20:41 +0100
committerHans de Graaff <graaff@gentoo.org>2020-01-05 10:20:41 +0100
commitd1afcf8e637af8a0f661686926e014b6b5b84507 (patch)
tree79eb98f55c9147036ce05d0f9b46da23d84fe343
parentdev-ruby/actiontext: remove vulnerable versions (diff)
downloadgentoo-d1afcf8e637af8a0f661686926e014b6b5b84507.tar.gz
gentoo-d1afcf8e637af8a0f661686926e014b6b5b84507.tar.bz2
gentoo-d1afcf8e637af8a0f661686926e014b6b5b84507.zip
dev-ruby/activerecord: remove vulnerable versions
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/activerecord/Manifest5
-rw-r--r--dev-ruby/activerecord/activerecord-5.2.3.ebuild83
-rw-r--r--dev-ruby/activerecord/activerecord-5.2.4.ebuild89
-rw-r--r--dev-ruby/activerecord/activerecord-6.0.0.ebuild84
-rw-r--r--dev-ruby/activerecord/activerecord-6.0.1.ebuild84
-rw-r--r--dev-ruby/activerecord/activerecord-6.0.2.ebuild84
6 files changed, 0 insertions, 429 deletions
diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index 348dd3df36a..2306b26028e 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -1,8 +1,3 @@
DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 7db84961963f529a9b6c06011bb6e32b56f4beb064de31c811a092d27e93156669ade4dcceb7d8abcdba4845d42258d904f8ecaf79198af1c0e2afcb33fe3fe3 SHA512 198fa072f3f09a9893377439ddd1803effdf04a33ae7b609234464e7de9ad960439d1b80ae62e1f9b223b3173839be7233c314a72057933b43672f390d96a8df
-DIST rails-5.2.3.tgz 8802794 BLAKE2B 786f94bcd9528ffc664c39caef0e7d2d3c15da95497044504082999a435c2a877d73d40b68b5237dc07ae6cf9b8f6f99f12ae68527c5f4005b1a648038e507c0 SHA512 6a41f7564679263b4a16a245d13271b12e97a55cdd77b5ebe63bd86c3a80e4f447b4c0567a4a40ed8e97a2307522f6dad368b1beeb362136bdf1856f6dffeb60
DIST rails-5.2.4.1.tgz 8823310 BLAKE2B 33d863a66c0f5e0554c2beaf5fac235cfa3a5ba0c514aa30f53d9d036656d3710f7c486f3cd23e3b2986ee8621a11782a7a630f74131cce4c99a4ff7539e6b58 SHA512 5b59cd0ede76cedf1fdb50090c434c24fdcd30a2cf6ec4abc5437e62bb2aae410607e812d4e14acdd27b81a51365232f6e768156556ca67ae94b9e10d2eb7655
-DIST rails-5.2.4.tgz 8822605 BLAKE2B 541332dab5acd358ba3c3ad660b25cec77050b44fba00f46bb3a6e0846ebede36cf4dc7d13f9269ba14ce4174bb81a342f0407672dc6f9372b7cc0ddd0eb66bd SHA512 bee783a0c8e24441f0fbe011392774684fa1390df837c6f85a17975ae72b8c60bea90998f36742c413eecffe125b6a606b0d920855231f910e8073fe28d44a13
-DIST rails-6.0.0.tgz 18543484 BLAKE2B 614e71481a3a5ece629f49d0ef623b5352e165b5d46a736ccb747614d6c1fd56d4aaba2f2f32d48d81772cfd4db671d94a67cd3ffa395f29bf2de1f148fa57ed SHA512 3a2259fe2b3ffd0ddc9128e1aa58af57006b8410120a3629926b95fbe60b8658edab77929e26d9323c61a1855a4379e73f1ddbe875324b068a9e8bdde6ca55e6
-DIST rails-6.0.1.tgz 18551750 BLAKE2B 03349639ae114b82573e5e4063600b07b24274a0f5a81021bf347c650214e0f59fbb1676b9ad580de5a2d6e4dc85cc2702511c32d11a088ef663f26d8d55041e SHA512 ad6667a958663a8d260896c6b7fd589b657383f0d4f217c9bc0e993d6eac67c32fa41d54a9edf9b1f4e01ae78826f49a862b0069d59b3c1de2b950522b3ecf10
DIST rails-6.0.2.1.tgz 18556085 BLAKE2B 178e2d5319fa71ba9f3f7d7a00c207ed9c8d87973487a253c5f819132743f8cdf1428b1668c6e176c91d45986a2201e52f9016efe5ca28ab93301135e5392dd5 SHA512 b33e82ba9e898f7c467df26b7196c69564bcdd24a4732ae6912d06dd361044e769d87fc3e8872533c97fc8d034cab2fad33082925f98cf2096fb1dd4ff6789d7
-DIST rails-6.0.2.tgz 18555652 BLAKE2B 27b775a8e9285d9d8501fd2115b5a4a68ef0df1afe0f237c32158fc3c4fa950916b725ececda2e9cabd199a2cef4f7c0421b4fdd27e5b28952f738ab99d48097 SHA512 f394d272771ae8eeba2878c7d8eace93a7eefae95f12b34704939f3f91201633da8cb8721999eec0c9729dd72841ef026fbdb7d814d5a0f31cd1f0fd6310a872
diff --git a/dev-ruby/activerecord/activerecord-5.2.3.ebuild b/dev-ruby/activerecord/activerecord-5.2.3.ebuild
deleted file mode 100644
index 033190770d8..00000000000
--- a/dev-ruby/activerecord/activerecord-5.2.3.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-USE_RUBY="ruby23 ruby24 ruby25 ruby26"
-
-# this is not null so that the dependencies will actually be filled
-RUBY_FAKEGEM_TASK_TEST="test"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
-
-RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem eapi7-ver
-
-DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
-HOMEPAGE="https://github.com/rails/rails/"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
-IUSE="mysql postgres sqlite"
-
-RUBY_S="rails-${PV}/${PN}"
-
-ruby_add_rdepend "~dev-ruby/activesupport-${PV}
- ~dev-ruby/activemodel-${PV}
- dev-ruby/arel:9.0
- sqlite? ( >=dev-ruby/sqlite3-1.3.6 )
- mysql? ( || ( dev-ruby/mysql2:0.5 dev-ruby/mysql2:0.4 ) )
- postgres? ( >=dev-ruby/pg-0.18.0:* )"
-
-ruby_add_bdepend "
- test? (
- dev-ruby/bundler
- ~dev-ruby/actionpack-${PV}
- ~dev-ruby/actionmailer-${PV}
- >=dev-ruby/sqlite3-1.3.6
- dev-ruby/mocha
- dev-ruby/minitest:5
- )"
-
-DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
-
-all_ruby_prepare() {
- # Remove items from the common Gemfile that we don't need for this
- # test run. This also requires handling some gemspecs.
- rm ../Gemfile.lock || die
- sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
- -e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
- sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
- sed -e '/bcrypt/ s/3.0.0/3.0/' \
- -i ../Gemfile || die
-
- # Add back json in the Gemfile because we dropped some dependencies
- # earlier that implicitly required it.
- sed -i -e '$agem "json"' ../Gemfile || die
-
- # Avoid test depending on mysql adapter which we don't support for
- # this Rails version to simplify our dependencies.
- rm test/cases/connection_specification/resolver_test.rb || die
-
- # Avoid single test using mysql dependencies.
- rm test/cases/invalid_connection_test.rb || die
-
- # Avoid failing test that makes bad assumptions on database state.
- sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
- test/cases/associations/has_many_associations_test.rb
-
- # Avoid test failing to bind limit length in favor of security release
- sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
-}
-
-each_ruby_test() {
- if use sqlite; then
- ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
- fi
-}
diff --git a/dev-ruby/activerecord/activerecord-5.2.4.ebuild b/dev-ruby/activerecord/activerecord-5.2.4.ebuild
deleted file mode 100644
index 959c3c03073..00000000000
--- a/dev-ruby/activerecord/activerecord-5.2.4.ebuild
+++ /dev/null
@@ -1,89 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-USE_RUBY="ruby24 ruby25 ruby26"
-
-# this is not null so that the dependencies will actually be filled
-RUBY_FAKEGEM_TASK_TEST="test"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
-
-RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem eapi7-ver
-
-DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
-HOMEPAGE="https://github.com/rails/rails/"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
-IUSE="mysql postgres sqlite"
-
-RUBY_S="rails-${PV}/${PN}"
-
-ruby_add_rdepend "~dev-ruby/activesupport-${PV}
- ~dev-ruby/activemodel-${PV}
- dev-ruby/arel:9.0
- sqlite? ( >=dev-ruby/sqlite3-1.3.6 )
- mysql? ( || ( dev-ruby/mysql2:0.5 dev-ruby/mysql2:0.4 ) )
- postgres? ( >=dev-ruby/pg-0.18.0:* )"
-
-ruby_add_bdepend "
- test? (
- dev-ruby/bundler
- ~dev-ruby/actionpack-${PV}
- ~dev-ruby/actionmailer-${PV}
- >=dev-ruby/sqlite3-1.3.6
- dev-ruby/mocha
- dev-ruby/minitest:5
- )"
-
-DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
-
-all_ruby_prepare() {
- # Remove items from the common Gemfile that we don't need for this
- # test run. This also requires handling some gemspecs.
- rm ../Gemfile.lock || die
- sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
- -e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
- sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
- sed -e '/bcrypt/ s/3.0.0/3.0/' \
- -i ../Gemfile || die
-
- # Add back json in the Gemfile because we dropped some dependencies
- # earlier that implicitly required it.
- sed -i -e '$agem "json"' \
- ../Gemfile || die
-
- sed -e '3i gem "activesupport", "~> 5.2.0"' \
- -e '3i gem "activerecord", "~> 5.2.0"' \
- -e '3i gem "activemodel", "~> 5.2.0"' \
- -i test/cases/helper.rb || die
-
- # Avoid test depending on mysql adapter which we don't support for
- # this Rails version to simplify our dependencies.
- rm test/cases/connection_specification/resolver_test.rb || die
-
- # Avoid single test using mysql dependencies.
- rm test/cases/invalid_connection_test.rb || die
-
- # Avoid failing test that makes bad assumptions on database state.
- sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
- test/cases/associations/has_many_associations_test.rb
-
- # Avoid test failing to bind limit length in favor of security release
- sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
-}
-
-each_ruby_test() {
- if use sqlite; then
- MT_NO_PLUGINS=true ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
- fi
-}
diff --git a/dev-ruby/activerecord/activerecord-6.0.0.ebuild b/dev-ruby/activerecord/activerecord-6.0.0.ebuild
deleted file mode 100644
index f20b5f1cb91..00000000000
--- a/dev-ruby/activerecord/activerecord-6.0.0.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby25 ruby26"
-
-# this is not null so that the dependencies will actually be filled
-RUBY_FAKEGEM_TASK_TEST="test"
-
-RUBY_FAKEGEM_RECIPE_DOC="none"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
-
-RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
-HOMEPAGE="https://github.com/rails/rails/"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="mysql postgres sqlite"
-
-RUBY_S="rails-${PV}/${PN}"
-
-ruby_add_rdepend "~dev-ruby/activesupport-${PV}
- ~dev-ruby/activemodel-${PV}
- dev-ruby/arel:9.0
- sqlite? ( >=dev-ruby/sqlite3-1.4 )
- mysql? ( || ( dev-ruby/mysql2:0.5 >=dev-ruby/mysql2-0.4.4:0.4 ) )
- postgres? ( || ( dev-ruby/pg:1 >=dev-ruby/pg-0.18.0:0 ) )"
-
-ruby_add_bdepend "
- test? (
- dev-ruby/bundler
- ~dev-ruby/actionpack-${PV}
- >=dev-ruby/sqlite3-1.3.6
- dev-ruby/mocha
- dev-ruby/minitest:5
- )"
-
-DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
-
-all_ruby_prepare() {
- # Remove items from the common Gemfile that we don't need for this
- # test run. This also requires handling some gemspecs.
- rm ../Gemfile.lock || die
- sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
- -e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
- sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
- sed -e '/bcrypt/ s/3.0.0/3.0/' \
- -i ../Gemfile || die
-
- # Add back json in the Gemfile because we dropped some dependencies
- # earlier that implicitly required it.
- sed -i -e '$agem "json"' ../Gemfile || die
-
- # Avoid test depending on mysql adapter which we don't support for
- # this Rails version to simplify our dependencies.
- rm test/cases/connection_specification/resolver_test.rb || die
-
- # Avoid single tests using mysql or postgres dependencies.
- rm test/cases/invalid_connection_test.rb || die
- sed -e '/test_switching_connections_with_database_url/askip "postgres"' \
- -i test/cases/connection_adapters/connection_handlers_multi_db_test.rb || die
-
- # Avoid failing test that makes bad assumptions on database state.
- sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
- test/cases/associations/has_many_associations_test.rb
-
- # Avoid test failing to bind limit length in favor of security release
- sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
-}
-
-each_ruby_test() {
- if use sqlite; then
- ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
- fi
-}
diff --git a/dev-ruby/activerecord/activerecord-6.0.1.ebuild b/dev-ruby/activerecord/activerecord-6.0.1.ebuild
deleted file mode 100644
index f20b5f1cb91..00000000000
--- a/dev-ruby/activerecord/activerecord-6.0.1.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby25 ruby26"
-
-# this is not null so that the dependencies will actually be filled
-RUBY_FAKEGEM_TASK_TEST="test"
-
-RUBY_FAKEGEM_RECIPE_DOC="none"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
-
-RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
-HOMEPAGE="https://github.com/rails/rails/"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="mysql postgres sqlite"
-
-RUBY_S="rails-${PV}/${PN}"
-
-ruby_add_rdepend "~dev-ruby/activesupport-${PV}
- ~dev-ruby/activemodel-${PV}
- dev-ruby/arel:9.0
- sqlite? ( >=dev-ruby/sqlite3-1.4 )
- mysql? ( || ( dev-ruby/mysql2:0.5 >=dev-ruby/mysql2-0.4.4:0.4 ) )
- postgres? ( || ( dev-ruby/pg:1 >=dev-ruby/pg-0.18.0:0 ) )"
-
-ruby_add_bdepend "
- test? (
- dev-ruby/bundler
- ~dev-ruby/actionpack-${PV}
- >=dev-ruby/sqlite3-1.3.6
- dev-ruby/mocha
- dev-ruby/minitest:5
- )"
-
-DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
-
-all_ruby_prepare() {
- # Remove items from the common Gemfile that we don't need for this
- # test run. This also requires handling some gemspecs.
- rm ../Gemfile.lock || die
- sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
- -e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
- sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
- sed -e '/bcrypt/ s/3.0.0/3.0/' \
- -i ../Gemfile || die
-
- # Add back json in the Gemfile because we dropped some dependencies
- # earlier that implicitly required it.
- sed -i -e '$agem "json"' ../Gemfile || die
-
- # Avoid test depending on mysql adapter which we don't support for
- # this Rails version to simplify our dependencies.
- rm test/cases/connection_specification/resolver_test.rb || die
-
- # Avoid single tests using mysql or postgres dependencies.
- rm test/cases/invalid_connection_test.rb || die
- sed -e '/test_switching_connections_with_database_url/askip "postgres"' \
- -i test/cases/connection_adapters/connection_handlers_multi_db_test.rb || die
-
- # Avoid failing test that makes bad assumptions on database state.
- sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
- test/cases/associations/has_many_associations_test.rb
-
- # Avoid test failing to bind limit length in favor of security release
- sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
-}
-
-each_ruby_test() {
- if use sqlite; then
- ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
- fi
-}
diff --git a/dev-ruby/activerecord/activerecord-6.0.2.ebuild b/dev-ruby/activerecord/activerecord-6.0.2.ebuild
deleted file mode 100644
index f20b5f1cb91..00000000000
--- a/dev-ruby/activerecord/activerecord-6.0.2.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby25 ruby26"
-
-# this is not null so that the dependencies will actually be filled
-RUBY_FAKEGEM_TASK_TEST="test"
-
-RUBY_FAKEGEM_RECIPE_DOC="none"
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
-
-RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
-HOMEPAGE="https://github.com/rails/rails/"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="mysql postgres sqlite"
-
-RUBY_S="rails-${PV}/${PN}"
-
-ruby_add_rdepend "~dev-ruby/activesupport-${PV}
- ~dev-ruby/activemodel-${PV}
- dev-ruby/arel:9.0
- sqlite? ( >=dev-ruby/sqlite3-1.4 )
- mysql? ( || ( dev-ruby/mysql2:0.5 >=dev-ruby/mysql2-0.4.4:0.4 ) )
- postgres? ( || ( dev-ruby/pg:1 >=dev-ruby/pg-0.18.0:0 ) )"
-
-ruby_add_bdepend "
- test? (
- dev-ruby/bundler
- ~dev-ruby/actionpack-${PV}
- >=dev-ruby/sqlite3-1.3.6
- dev-ruby/mocha
- dev-ruby/minitest:5
- )"
-
-DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
-
-all_ruby_prepare() {
- # Remove items from the common Gemfile that we don't need for this
- # test run. This also requires handling some gemspecs.
- rm ../Gemfile.lock || die
- sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
- -e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
- sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
- sed -e '/bcrypt/ s/3.0.0/3.0/' \
- -i ../Gemfile || die
-
- # Add back json in the Gemfile because we dropped some dependencies
- # earlier that implicitly required it.
- sed -i -e '$agem "json"' ../Gemfile || die
-
- # Avoid test depending on mysql adapter which we don't support for
- # this Rails version to simplify our dependencies.
- rm test/cases/connection_specification/resolver_test.rb || die
-
- # Avoid single tests using mysql or postgres dependencies.
- rm test/cases/invalid_connection_test.rb || die
- sed -e '/test_switching_connections_with_database_url/askip "postgres"' \
- -i test/cases/connection_adapters/connection_handlers_multi_db_test.rb || die
-
- # Avoid failing test that makes bad assumptions on database state.
- sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
- test/cases/associations/has_many_associations_test.rb
-
- # Avoid test failing to bind limit length in favor of security release
- sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
-}
-
-each_ruby_test() {
- if use sqlite; then
- ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
- fi
-}